using System;

internal sealed class Delegate723 : MulticastDelegate
{
	public extern double Invoke(object object_0);

	public static double smethod_0(object object_0, Delegate723 delegate723_1)
	{
		return delegate723_1(object_0);
	}

	public extern Delegate723(object object_0, IntPtr intptr_0);

	static Delegate723()
	{
		Class10.smethod_13(typeof(Delegate723).TypeHandle);
	}

	internal static Delegate723 delegate723_0;
}
